Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.deployment
Interface AutoDeployerMBean

All Superinterfaces:
  Service, ServiceMBean

All Known Subinterfaces:
  AutoDeployerMBean

All Known Implementing Classes:
  AutoDeployer

public interface AutoDeployerMBean
extends ServiceMBean

This is the interface of the AutoDeployer that is exposed for administration

Version:
  $Revision: 1.2.2.1 $
Author:
  Rickard Öberg (rickard.oberg@telkel.com), Toby Allsopp (toby.allsopp@peace.com)
See Also:
  `AutoDeployer`

Field Summary
`static java.lang.String` | `OBJECT_NAME`

Fields inherited from interface org.jboss.util.ServiceMBean
`STARTED, STARTING, states, STOPPED, STOPPING`

Method Summary
`java.lang.String` | `getDeployers()`
`int` | `getTimeout()`
`java.lang.String` | `getURLs()`
`void` | `setDeployers(java.lang.String deployers)`
`void` | `setTimeout(int timeoutMS)`
`void` | `setURLs(java.lang.String urlList)`

Methods inherited from interface org.jboss.util.ServiceMBean
`getName, getState, getStateString`

Methods inherited from interface org.jboss.util.Service
`destroy, init, start, stop`

Field Detail

### OBJECT_NAME

    public static final java.lang.String OBJECT_NAME

Method Detail

### setURLs

    public void setURLs(java.lang.String urlList)

### getURLs

    public java.lang.String getURLs()

### getTimeout

    public int getTimeout()

### setTimeout

    public void setTimeout(int timeoutMS)

### setDeployers

    public void setDeployers(java.lang.String deployers)

### getDeployers

    public java.lang.String getDeployers()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.